var isIE = function isIE() {
  if (!!window.ActiveXObject || 'ActiveXObject' in window) {
    return true;
  }

  return false;
};

var isIE11 = function isIE11() {
  if (/Trident\/7\./.test(navigator.userAgent)) {
    return true;
  }

  return false;
};

var isFirefox = function isFirefox() {
  if (/Firefox/.test(navigator.userAgent)) {
    return true;
  }

  return false;
};

var isSafari = function isSafari() {
  if (/Safari/.test(navigator.userAgent)) {
    return true;
  }

  return false;
};

export default {
  isIE: isIE,
  isIE11: isIE11,
  isFirefox: isFirefox,
  isSafari: isSafari
};